Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7973 - Error compiling SSH on Sparc (RedHat 6.1)
Summary: Error compiling SSH on Sparc (RedHat 6.1)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 6.1
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 17:45 UTC by croyston
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 22:43:21 UTC


Attachments (Terms of Use)

Description croyston 1999-12-23 17:45:04 UTC
I get the following error when trying to compile SSH 1.2.26 or 1.2.27

gcc -pipe  -o ssh ssh.o sshconnect.o log-client.o readconf.o hostfile.o
readpass.o tildexpand.o clientloop.o canohost.o  idea.o rsa.o randoms.o
md5.o buffer.o emulate.o packet.o compress.o xmalloc.o ttymodes.o
newchannels.o bufaux.o authfd.o authfile.o crc32.o rsaglue.o cipher.o des.o
match.o arcfour.o mpaux.o userfile.o signals.o blowfish.o deattack.o  \
	-Lgmp-2.0.2-ssh-2 -lgmp -Lzlib-1.0.4 -lz  -lnsl -lbsd -lcrypt
-L/usr/local/lib  -lutil
gmp-2.0.2-ssh-2/libgmp.a(mpn_divmod_1.o): In function `__mpn_divmod_1':
/tmp/ssh-1.2.26/gmp-2.0.2-ssh-2/mpn/divmod_1.c:91: undefined reference to
`__udiv_qrnnd'
/tmp/ssh-1.2.26/gmp-2.0.2-ssh-2/mpn/divmod_1.c:129: undefined reference to
`__udiv_qrnnd'
/tmp/ssh-1.2.26/gmp-2.0.2-ssh-2/mpn/divmod_1.c:204: undefined reference to
`__udiv_qrnnd'
gmp-2.0.2-ssh-2/libgmp.a(mpn_divrem.o): In function `__mpn_divrem':
/tmp/ssh-1.2.26/gmp-2.0.2-ssh-2/mpn/divrem.c:84: undefined reference to
`__udiv_qrnnd'
/tmp/ssh-1.2.26/gmp-2.0.2-ssh-2/mpn/divrem.c:88: undefined reference to
`__udiv_qrnnd'
gmp-2.0.2-ssh-2/libgmp.a(mpn_divrem.o):/tmp/ssh-1.2.26/gmp-2.0.2-ssh-2/mpn/divrem.c:141:
more undefined references to `__udiv_qrnnd' follow
collect2: ld returned 1 exit status
make: *** [ssh] Error 1


I am compiling on a SUN Ultra 170

{croyston@dhcp31-39.level1.com:41} gcc -v
Reading specs from /usr/lib/gcc-lib/sparc-redhat-linux/egcs-2.91.66/specs
gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)

Comment 1 Jim Kingdon 1999-12-23 19:50:59 UTC
This would appear to be a bug in GCC and/or the libraries, but tracking
it down may take a bit of effort.  Could you send a self-contained test
case?  Sounds like it would be the output of "gcc -E"
for one of the source files which is causing the problem
( gmp-2.0.2-ssh-2/mpn/divmod_1.c it would appear).

Comment 2 Cristian Gafton 2000-02-17 22:43:59 UTC
closed because of lack of feedback


Note You need to log in before you can comment on or make changes to this bug.